luasec-prosody

luasec-prosody was a (temporary) fork of LuaSec, with some features that are now merged into the official LuaSec and released in version 0.5 (see LuaSec bug #3). The real LuaSec is recommended if it is available in your distribution, if not, our fork can still be used.

The new features include support for:

  • Certificate verification (needed to support certificate authentication for s2s connections)
  • Perfect Forward Secrecy ciphers (DHE and ECDHE)
  • APIs that allow channel binding (e.g. the SCRAM-SHA-1-PLUS SASL mechanism)
  • Controls over CRL checking

It is strongly recommended to use luasec-prosody or LuaSec 0.5 alongside Prosody 0.9+.

Download

Debian/Ubuntu

You can find it in our package repository as lua-sec-prosody.

Source

You can download a tarball here: luasec-prosody-0.5.1.tar.gz.

 
doc/depends/luasec/prosody.txt · Last modified: 2014/02/06 16:01 by Kim Alvefur